> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toffeepay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Refunds



## OpenAPI

````yaml GET /v1/refunds
openapi: 3.1.0
info:
  title: ToffeePay API
  description: Public API for game partners
  version: 0.1.1
servers:
  - url: https://api.toffeepay.com
    description: Production
  - url: https://api.sandbox.toffeepay.com
    description: Sandbox
security:
  - BearerAuth: []
paths:
  /v1/refunds:
    get:
      summary: ListRefunds
      operationId: RefundService_ListRefunds
      parameters:
        - name: payment_id
          in: query
          schema:
            type: string
            title: payment_id
        - name: status
          in: query
          schema:
            type: string
            title: status
            enum:
              - pending
              - succeeded
              - failed
              - cancelled
        - name: limit
          in: query
          description: 'default: 100'
          schema:
            exclusiveMinimum: 0
            type: integer
            title: limit
            maximum: 250
            format: int32
        - name: offset
          in: query
          schema:
            type: integer
            title: offset
            minimum: 0
            format: int32
        - name: from
          in: query
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/pay.v1.Refund'
                title: refunds
components:
  schemas:
    pay.v1.Refund:
      type: object
      properties:
        id:
          type: string
          title: id
        payment_id:
          type: string
          title: payment_id
        status:
          type: string
          title: status
          enum:
            - pending
            - succeeded
            - failed
            - cancelled
        reason:
          type:
            - string
            - 'null'
          title: reason
        created_at:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: created_at
        succeeded_at:
          oneOf:
            - $ref: '#/components/schemas/google.protobuf.Timestamp'
            - type: 'null'
          title: succeeded_at
        failed_at:
          oneOf:
            - $ref: '#/components/schemas/google.protobuf.Timestamp'
            - type: 'null'
          title: failed_at
        cancelled_at:
          oneOf:
            - $ref: '#/components/schemas/google.protobuf.Timestamp'
            - type: 'null'
          title: cancelled_at
        error:
          oneOf:
            - $ref: '#/components/schemas/pay.v1.Error'
            - type: 'null'
          title: error
      title: Refund
      required:
        - id
        - payment_id
        - status
        - created_at
      additionalProperties: false
    google.protobuf.Timestamp:
      type: string
      format: date-time
    pay.v1.Error:
      type: object
      properties:
        code:
          type: string
          title: code
        message:
          type: string
          title: message
      title: Error
      additionalProperties: false
      description: Error handling
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````